# This program draws an hourglass figure
# of characters and numbers using nested loops.
# This version uses a global constant for the figure size.
SUB_HEIGHT = 4

# Prints a solid line of dashes.
def draw_line():
    print("+", end="")
    print("-" * (2 * SUB_HEIGHT), end="")
    print("+")

# Produces the top half of the hourglass figure.
def draw_top():
    SUB_HEIGHT += 3
    for line in range(1, SUB_HEIGHT + 1):
        print("|", end="")
        print(" " * (line - 1), end="")
        print("\\", end="")
        for i in range(1, 2 * SUB_HEIGHT + 1 - 2 * line):
            print(i, end="")
        print("/", end="")
        print(" " * (line - 1), end="")
        print("|")

# Produces the bottom half of the hourglass figure.
def draw_bottom():
    for line in range(1, SUB_HEIGHT + 1):
        print("|", end="")
        print(" " * (SUB_HEIGHT - line), end="")
        print("/", end="")
        for i in range(2 * line - 2, 0, -1):
            print(i, end="")
        print("\\", end="")
        print(" " * (SUB_HEIGHT - line), end="")
        print("|")

def main():
    draw_line()
    draw_top()
    draw_bottom()
    draw_line()

main()
