# This program adds numbers from a URL
# and reports the sum of all the numbers.
# This version handles errors if the URL is invalid.

import urllib.request

def main():
    URL = "http://buildingpythonprograms.com/input/not-found.txt"
    sum = 0.0
    try:
        with urllib.request.urlopen(URL) as url:
            for n in url.read().split():
                sum += float(n)
    except urllib.error.HTTPError:
        print("Unable to open URL")
    print("Sum is:", round(sum, 1))

main()
