# This program computes hours worked by
# employees. Each line of input contains
# the name, ID, and hours worked each day.

# Handles the data line for one employee.
# Format: "name ID hours hours ... hours"
def process_employee(line):
    id, name, *hours = line.split()
    total_hours = 0.0
    total_days = 0
    for hour in hours:
        total_hours += float(hour)
        total_days += 1
    hours_per_day = total_hours / total_days
    
    print(name, "ID #", id, ":", \
        round(total_hours, 1), "hours,", \
        round(hours_per_day, 1), "/ day")

def main():
    with open("hours.txt") as file:
        for line in file:
            process_employee(line)

main()
