# This program looks up words in a dictionary.
# It is an example of multi-line input records.
# This version is decomposed into functions.

# Searches for the definition of the given word
# in the dictionary and returns it.
# If not found, returns an empty string.
def find_match(file, target_word):
    word = file.readline()
    defn = file.readline()
    while word != "":
        if word.strip() == target_word:
            return defn.strip()
        word = file.readline()   # read next pair
        defn = file.readline()
    return ""   # not found

def main():
    target_word = input("Word to look up? ")
    with open("dictionary.txt") as file:
        defn = find_match(file, target_word)
        if defn == "":
            print(target_word, "not found.")
        else:
            print("Definition:", defn)

main()
