# Prompts the user for a file name and
# prints the entire contents of that file.

import os.path

# Prompts the user to type a file name
# using the given prompt message;
# repeatedly re-prompts if file is not found.
# Returns the file name, which must exist.
def prompt_for_file(message):
    filename = input(message)
    while not os.path.isfile(filename):
        print("File not found. Try again.")
        filename = input(message)
    return filename

def main():
    filename = prompt_for_file("File to open? ")
    with open(filename) as file:
        filetext = file.read()
        print(filetext)

main()
