# This program contains a mirror method that flips the appearance
# of a DrawingPanel horizontally pixel-by-pixel.
from DrawingPanel import *

# Produces the negative of the given image by inverting
# the color values of all pixels in the panel.
def negative(panel):
    px = panel.pixels
    for x in range(panel.width):
        for y in range(panel.height):
            # extract red/green/blue components from 0-255
            r, g, b = px[x][y]
            px[x][y] = (255 - r, 255 - g, 255 - b)
    panel.pixels = px

def main():
    panel = DrawingPanel(300, 300)
    panel.draw_image("grumpy-cat.png", 10, 10)
    negative(panel)

main()
