# This program contains a mirror method that flips the appearance
# of a DrawingPanel horizontally pixel-by-pixel.
from DrawingPanel import *

# Stretches the given panel to be twice as wide.
# Any shapes and colors drawn on the panel are stretched to fit.
def stretch(panel):
    px  = panel.pixels
    px2 = [None] * (2 * panel.width)
    for x in range(len(px2)):
        px2[x] = [None] * panel.height
        for y in range(len(px2[0])):
            px2[x][y] = px[x // 2][y]
    panel.pixels = px2

def main():
    panel = DrawingPanel(300, 300)
    panel.draw_image("grumpy-cat.png", 10, 10)
    stretch(panel)

main()
