# This program draws the Cantor Set fractal.
from DrawingPanel import *

# Draws a Cantor Set figure of the given level with its left
# endpoint at the given x/y coordinates and the given line length.
def cantor_set(panel, x, y, length, level):
    if level >= 1:
        panel.draw_line(x, y, x + length, y)
        cantor_set(panel, x, y + 20, length // 3, level - 1)
        cantor_set(panel, x + 2 * length // 3, y + 20, \
                   length // 3, level - 1)

def main():
    panel = DrawingPanel(400, 200)
    panel.color = "black"
    panel.stroke = 3
    cantor_set(panel, 50, 20, 300, 4)

main()
