# This program implements merge sort for lists of integers.

# Places the elements of the given list into sorted order
# using the merge sort algorithm.
# post: list is in sorted (nondecreasing) order
def merge_sort(lst):
    if len(lst) >= 2:
        # recursive case: split list into two halves
        mid = len(lst) // 2
        left  = lst[ : mid]
        right = lst[mid : ]
    
        # (recursively) sort the two halves    
        merge_sort(left)
        merge_sort(right)
    
        # merge the two sorted halves back into the original list
        merge(lst, left, right)

# Merges sorted left/right lists into given result list.
# pre:  left and right must be sorted
# post: result contains merged sorted results of left and right
def merge(result, left, right):
    i1 = 0   # index into left list
    i2 = 0   # index into right list
    for i in range(len(result)):
        if i2 >= len(right) or \
           i1 < len(left) and left[i1] <= right[i2]:
            result[i] = left[i1]    # take from left
            i1 += 1
        else:
            result[i] = right[i2]   # take from right
            i2 += 1

def main():
    nums = [14, 32, 67, 76, 23, 41, 58, 85]
    print("before:", nums)
    merge_sort(nums)
    print("after :", nums)

main()
