# Measures the runtime of an algorithm to find
# the range of values in a large list.
# Second version.

import random
import time

# Returns the range of numbers in the given list.
# Second version that examines j values where j > i only.
def range_of_values2(numbers):
    max_diff = 0
    for i in range(len(numbers)):
        for j in range(i + 1, len(numbers)):
            diff = abs(numbers[j] - numbers[i])
            if diff > max_diff:
                max_diff = diff
    return max_diff

# Creates and returns a random list of integers of length N.
def create_random_list(N):
    numbers = [0] * N
    for i in range(N):
        numbers[i] = random.randint(0, 999999999)
    return numbers

def main():
    # Search for a word's index many times
    N = 500
    MAX_N = 32000
    print("N", "runtime (ms)", sep="\t")
    while N <= MAX_N:
        numbers = create_random_list(N)
        start_time = time.time()
        r = range_of_values2(numbers)
        elapsed_time = time.time() - start_time
        print(N, round(elapsed_time * 1000), sep="\t")
        N *= 2

main()
