# Measures the runtime of an algorithm to find
# the range of values in a large list.
# Second version.

import random
import time

# Returns the range of numbers in the given list.
# Third version that sweeps the list once to find its
# max/min element values and then subtracts them.
def range_of_values3(numbers):
    max_value = numbers[0]
    min_value = numbers[0]
    for i in range(1, len(numbers)):
        if numbers[i] > max_value:
           max_value = numbers[i]
        elif numbers[i] < min_value:
           min_value = numbers[i]
    return max_value - min_value

# Creates and returns a random list of integers of length N.
def create_random_list(N):
    numbers = [0] * N
    for i in range(N):
        numbers[i] = random.randint(0, 999999999)
    return numbers

def main():
    # Search for a word's index many times
    N = 16384000 * 2
    MAX_N = 16384000 * 8
    print("N", "runtime (ms)", sep="\t")
    while N <= MAX_N:
        numbers = create_random_list(N)
        start_time = time.time()
        r = range_of_values3(numbers)
        elapsed_time = time.time() - start_time
        print(N, round(elapsed_time * 1000), sep="\t")
        N *= 2

main()
